From: <a href="/blend/av.cgi?id=1510">RocketPoweredVampire</a><BR>
Date: 19 June 2004<P>

LOL I wish I can trip over it...my ex lovers would compare me to a fruitbat =( ...lol and yes 4 pairs... Happy Fathers Day for all you pops out there with those snotty nose kids....
<HR>
From: <a href="/blend/av.cgi?id=12">Tanqueray Cowboy</a><BR>
Date: 19 June 2004<P>

Kirk ~<BR>
<BR>
Thanks for posting your conversation with Anne.  Interesting stuff, that.<BR>
<BR>
As a general rule, I don't say things unless I mean them.  Especially "Love."  If I’m not entirely sure of what something is then how can I truly mean to say it?  There is the whole issue -- one discussed here many times -- of what love is.  What does "I love you" mean, really?  What IS LOVE?<BR>
<BR>
Is it any more than "I feel tremendous affection for you?" or  "I feel more warmth and affection for you than I do for most other people?"<BR>
<BR>
That we so easily use the same word to describe our feelings for our family, our lovers and our God says to me that the single word "Love" alone is not sufficient.  I dislike the notion that one needs say "I love you" in some particular way at some particular time... and am disquieted by a lover who says, "tell me you love me."<BR>
<BR>
Sometimes I suspect we use the word Love simply because we lack the means to express our feelings verbally.  If that is because the feelings are powerful and complex beyond words then maybe “Love” is an appropriate descriptor.  However, if it’s simply because we lack the vocabulary, then we are doing human emotions a grave disservice.<BR>
<BR>
I’m not sure that I could ever -- with a straight face -- say to a lover “my feelings are powerful and complex beyond words” but it would be a much more honest expression than a hastily spoken “I love you.”<BR>
<BR>
Just the Tanqueray Cowboy’s $.02… <BR>
<BR>
&lt;puts on flame retardant skivvies and dives for cover under the nearest porch&gt; <BR>

<HR>